petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPMonitorSNES

Print the residual norm of the nonlinear function at each iteration of the linear iterative solver.

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  KSPMonitorSNES(KSP ksp,PetscInt n,PetscReal rnorm,void *dummy)

Collective on KSP Many br

### Input Parameters

| ksp | - iterative context Many br
| n | - iteration number Many br
| rnorm | - 2-norm (preconditioned) residual value (may be estimated). Many br
| dummy | - unused monitor context Many br

Many br

### Keywords

KSP, default, monitor, residual

### See Also

KSPMonitorSet(), KSPMonitorTrueResidualNorm(), KSPMonitorLGResidualNormCreate()

Level:intermediate
Location:src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages